diff --git a/base/deploy/src/scriptlets/pkihelper.py b/base/deploy/src/scriptlets/pkihelper.py
index ecc1df7919b5bd3f62d4b8485f85a2c69ec4a6e8..ba67465ef989e9ffcc9a34ff576435a0611282f8 100644
--- a/base/deploy/src/scriptlets/pkihelper.py
+++ b/base/deploy/src/scriptlets/pkihelper.py
@@ -808,30 +808,29 @@ class configuration_file:
 #        config.pki_log.info(log.PKIHELPER_REMOVE_FILTER_SECTION_1,
 #            master['pki_target_subsystem_web_xml'],
 #            extra=config.PKI_INDENTATION_LEVEL_2)
-#        if not config.pki_dry_run_flag:
-#            begin_filters_section = False
-#            begin_servlet_section = False
-#            FILE = open(web_xml_target, "w")
-#            for line in fileinput.FileInput(web_xml_source):
-#                if not begin_filters_section:
-#                    # Read and write lines until first "<filter>" tag
-#                    if line.count("<filter>") >= 1:
-#                        # Mark filters section
-#                        begin_filters_section = True
-#                    else:
-#                        FILE.write(line)
-#                elif not begin_servlet_section:
-#                    # Skip lines until first "<servlet>" tag
-#                    if line.count("<servlet>") >= 1:
-#                        # Mark servlets section and write out the opening tag
-#                        begin_servlet_section = True
-#                        FILE.write(line)
-#                    else:
-#                        continue
+#        begin_filters_section = False
+#        begin_servlet_section = False
+#        FILE = open(web_xml_target, "w")
+#        for line in fileinput.FileInput(web_xml_source):
+#            if not begin_filters_section:
+#                # Read and write lines until first "<filter>" tag
+#                if line.count("<filter>") >= 1:
+#                    # Mark filters section
+#                    begin_filters_section = True
 #                else:
-#                    # Read and write lines all lines after "<servlet>" tag
 #                    FILE.write(line)
-#            FILE.close()
+#            elif not begin_servlet_section:
+#                # Skip lines until first "<servlet>" tag
+#                if line.count("<servlet>") >= 1:
+#                    # Mark servlets section and write out the opening tag
+#                    begin_servlet_section = True
+#                    FILE.write(line)
+#                else:
+#                    continue
+#            else:
+#                # Read and write lines all lines after "<servlet>" tag
+#                FILE.write(line)
+#        FILE.close()
 
 
 # PKI Deployment Instance Class
@@ -845,15 +844,9 @@ class instance:
                 path = master['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
                     rv = rv + 1
-            # always display correct information (even during dry_run)
-            if config.pki_dry_run_flag and rv > 0:
-                config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
-                                     master['pki_instance_path'], rv - 1,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-            else:
-                config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
-                                     master['pki_instance_path'],
-                                     rv, extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
+                                 master['pki_instance_path'],
+                                 rv, extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -877,17 +870,10 @@ class instance:
                        os.path.join(master['pki_instance_type_registry_path'],
                        instance)):
                     rv = rv + 1
-            # always display correct information (even during dry_run)
-            if config.pki_dry_run_flag and rv > 0:
-                config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
-                                     master['pki_instance_type_registry_path'],
-                                     rv - 1,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-            else:
-                config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
-                                     master['pki_instance_type_registry_path'],
-                                     rv,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
+                                 master['pki_instance_type_registry_path'],
+                                 rv,
+                                 extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -913,15 +899,9 @@ class instance:
                            not os.path.islink(os.path.join(dir,name)):
                             if name.upper() in config.PKI_SUBSYSTEMS:
                                 rv = rv + 1
-            # always display correct information (even during dry_run)
-            if config.pki_dry_run_flag and rv > 0:
-                config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
-                                     master['pki_instance_path'], rv - 1,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-            else:
-                config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
-                                     master['pki_instance_path'], rv,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
+                                 master['pki_instance_path'], rv,
+                                 extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -937,15 +917,9 @@ class instance:
                 path = master['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
                     rv = rv + 1
-            # always display correct information (even during dry_run)
-            if config.pki_dry_run_flag and rv > 0:
-                config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCE_SUBSYSTEMS_2,
-                                     master['pki_instance_path'], rv - 1,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-            else:
-                config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCE_SUBSYSTEMS_2,
-                                     master['pki_instance_path'],
-                                     rv, extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCE_SUBSYSTEMS_2,
+                                 master['pki_instance_path'],
+                                 rv, extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -969,17 +943,10 @@ class instance:
                        os.path.join(master['pki_instance_type_registry_path'],
                        instance)):
                     rv = rv + 1
-            # always display correct information (even during dry_run)
-            if config.pki_dry_run_flag and rv > 0:
-                config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
-                                     master['pki_instance_type_registry_path'],
-                                     rv - 1,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-            else:
-                config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
-                                     master['pki_instance_type_registry_path'],
-                                     rv,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
+            config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
+                                 master['pki_instance_type_registry_path'],
+                                 rv,
+                                 extra=config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1023,13 +990,11 @@ class directory:
                 # mkdir -p <name>
                 config.pki_log.info(log.PKIHELPER_MKDIR_1, name,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    os.makedirs(name)
+                os.makedirs(name)
                 # chmod <perms> <name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chmod(name, perms)
+                os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
                     uid = identity.get_uid()
@@ -1038,8 +1003,7 @@ class directory:
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chown(name, uid, gid)
+                os.chown(name, uid, gid)
                 # Store record in installation manifest
                 record = manifest.record()
                 record.name = name
@@ -1086,8 +1050,7 @@ class directory:
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chmod(name, perms)
+                os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
                     uid = identity.get_uid()
@@ -1097,8 +1060,7 @@ class directory:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                          uid, gid, name,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chown(name, uid, gid)
+                os.chown(name, uid, gid)
                 # Store record in installation manifest
                 if not silent:
                     record = manifest.record()
@@ -1136,14 +1098,12 @@ class directory:
                     # rm -rf <name>
                     config.pki_log.info(log.PKIHELPER_RM_RF_1, name,
                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    if not config.pki_dry_run_flag:
-                        shutil.rmtree(name)
+                    shutil.rmtree(name)
                 else:
                     # rmdir <name>
                     config.pki_log.info(log.PKIHELPER_RMDIR_1, name,
                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    if not config.pki_dry_run_flag:
-                        os.rmdir(name)
+                    os.rmdir(name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1185,11 +1145,7 @@ class directory:
                  dir_acls=None, file_acls=None, symlink_acls=None,
                  recursive_flag=True, critical_failure=True):
         try:
-            if config.pki_dry_run_flag:
-                config.pki_log.info(
-                    log.PKIHELPER_SET_MODE_1, name,
-                    extra=config.PKI_INDENTATION_LEVEL_2)
-            elif not os.path.exists(name) or not os.path.isdir(name):
+            if not os.path.exists(name) or not os.path.isdir(name):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1215,14 +1171,12 @@ class directory:
                                 config.pki_log.debug(log.PKIHELPER_CHMOD_2,
                                     file_perms, file,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                                if not config.pki_dry_run_flag:
-                                    os.chmod(file, file_perms)
+                                os.chmod(file, file_perms)
                                 # chown <uid>:<gid> <name>
                                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                     uid, gid, file,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                                if not config.pki_dry_run_flag:
-                                    os.chown(file, uid, gid)
+                                os.chown(file, uid, gid)
                                 # Store record in installation manifest
                                 record = manifest.record()
                                 record.name = name
@@ -1248,8 +1202,7 @@ class directory:
                                 config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
                                     uid, gid, symlink,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                                if not config.pki_dry_run_flag:
-                                    os.lchown(symlink, uid, gid)
+                                os.lchown(symlink, uid, gid)
                                 # Store record in installation manifest
                                 record = manifest.record()
                                 record.name = name
@@ -1270,14 +1223,12 @@ class directory:
                             config.pki_log.debug(log.PKIHELPER_CHMOD_2,
                                 dir_perms, dir,
                                 extra=config.PKI_INDENTATION_LEVEL_3)
-                            if not config.pki_dry_run_flag:
-                                os.chmod(dir, dir_perms)
+                            os.chmod(dir, dir_perms)
                             # chown <uid>:<gid> <name>
                             config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                 uid, gid, dir,
                                 extra=config.PKI_INDENTATION_LEVEL_3)
-                            if not config.pki_dry_run_flag:
-                                os.chown(dir, uid, gid)
+                            os.chown(dir, uid, gid)
                             # Store record in installation manifest
                             record = manifest.record()
                             record.name = name
@@ -1298,14 +1249,12 @@ class directory:
                     config.pki_log.debug(log.PKIHELPER_CHMOD_2,
                                          dir_perms, name,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                    if not config.pki_dry_run_flag:
-                        os.chmod(name, dir_perms)
+                    os.chmod(name, dir_perms)
                     # chown <uid>:<gid> <name>
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                          uid, gid, name,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                    if not config.pki_dry_run_flag:
-                        os.chown(name, uid, gid)
+                    os.chown(name, uid, gid)
                     # Store record in installation manifest
                     record = manifest.record()
                     record.name = name
@@ -1330,21 +1279,7 @@ class directory:
              dir_acls=None, file_acls=None, symlink_acls=None,
              recursive_flag=True, overwrite_flag=False, critical_failure=True):
         try:
-            if config.pki_dry_run_flag:
-                if recursive_flag == True:
-                    # cp -rp <old_name> <new_name>
-                    config.pki_log.info(log.PKIHELPER_CP_RP_2,
-                                        old_name, new_name,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
-                else:
-                    # cp -p <old_name> <new_name>
-                    config.pki_log.info(log.PKIHELPER_CP_P_2,
-                                        old_name, new_name,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
-                config.pki_log.info(
-                    log.PKIHELPER_SET_MODE_1, new_name,
-                    extra=config.PKI_INDENTATION_LEVEL_2)
-            elif not os.path.exists(old_name) or not os.path.isdir(old_name):
+            if not os.path.exists(old_name) or not os.path.isdir(old_name):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, old_name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1408,13 +1343,11 @@ class file:
                 # touch <name>
                 config.pki_log.info(log.PKIHELPER_TOUCH_1, name,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    open(name, "w").close()
+                open(name, "w").close()
                 # chmod <perms> <name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chmod(name, perms)
+                os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
                     uid = identity.get_uid()
@@ -1423,8 +1356,7 @@ class file:
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chown(name, uid, gid)
+                os.chown(name, uid, gid)
                 # Store record in installation manifest
                 record = manifest.record()
                 record.name = name
@@ -1471,8 +1403,7 @@ class file:
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chmod(name, perms)
+                os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
                     uid = identity.get_uid()
@@ -1482,8 +1413,7 @@ class file:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                          uid, gid, name,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chown(name, uid, gid)
+                os.chown(name, uid, gid)
                 # Store record in installation manifest
                 if not silent:
                     record = manifest.record()
@@ -1520,8 +1450,7 @@ class file:
                 # rm -f <name>
                 config.pki_log.info(log.PKIHELPER_RM_F_1, name,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    os.remove(name)
+                os.remove(name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1544,20 +1473,7 @@ class file:
              perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS, acls=None,
              overwrite_flag=False, critical_failure=True):
         try:
-            if config.pki_dry_run_flag:
-                # cp -p <old_name> <new_name>
-                config.pki_log.info(log.PKIHELPER_CP_P_2,
-                                    old_name, new_name,
-                                    extra=config.PKI_INDENTATION_LEVEL_2)
-                # chmod <perms> <new_name>
-                config.pki_log.debug(log.PKIHELPER_CHMOD_2,
-                                     perms, new_name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                # chown <uid>:<gid> <new_name>
-                config.pki_log.debug(log.PKIHELPER_CHOWN_3,
-                                     uid, gid, new_name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-            elif not os.path.exists(old_name) or not os.path.isfile(old_name):
+            if not os.path.exists(old_name) or not os.path.isfile(old_name):
                 config.pki_log.error(
                     log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, old_name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1616,72 +1532,49 @@ class file:
                          perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
                          acls=None, critical_failure=True):
         try:
-            if config.pki_dry_run_flag:
-                # applying in-place slot substitutions on <name>
-                config.pki_log.info(log.PKIHELPER_APPLY_SLOT_SUBSTITUTION_1,
-                                    name,
-                                    extra=config.PKI_INDENTATION_LEVEL_2)
-                # NOTE:  During dry_run, this file may not exist!
-                if os.path.exists(name) and os.path.isfile(name):
-                    for line in fileinput.FileInput(name, inplace=1):
-                        for slot in slots:
-                            if slot != '__name__' and slots[slot] in line:
-                                config.pki_log.debug(
-                                    log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                                    slots[slot], master[slot],
-                                    extra=config.PKI_INDENTATION_LEVEL_3)
-                # chmod <perms> <name>
-                config.pki_log.debug(log.PKIHELPER_CHMOD_2,
-                                     perms, name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                # chown <uid>:<gid> <name>
-                config.pki_log.debug(log.PKIHELPER_CHOWN_3,
-                                     uid, gid, name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-            else:
-                if not os.path.exists(name) or not os.path.isfile(name):
-                    config.pki_log.error(
-                        log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, name,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
-                # applying in-place slot substitutions on <name>
-                config.pki_log.info(log.PKIHELPER_APPLY_SLOT_SUBSTITUTION_1,
-                                    name,
-                                    extra=config.PKI_INDENTATION_LEVEL_2)
-                for line in fileinput.FileInput(name, inplace=1):
-                    for slot in slots:
-                        if slot != '__name__' and slots[slot] in line:
-                            config.pki_log.debug(
-                                log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                                slots[slot], master[slot],
-                                extra=config.PKI_INDENTATION_LEVEL_3)
-                            line=line.replace(slots[slot],master[slot])
-                    sys.stdout.write(line)
-                if uid == None:
-                    uid = identity.get_uid()
-                if gid == None:
-                    gid = identity.get_gid()
-                # chmod <perms> <name>
-                config.pki_log.debug(log.PKIHELPER_CHMOD_2,
-                                     perms, name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                os.chmod(name, perms)
-                # chown <uid>:<gid> <name>
-                config.pki_log.debug(log.PKIHELPER_CHOWN_3,
-                                     uid, gid, name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                os.chown(name, uid, gid)
-                # Store record in installation manifest
-                record = manifest.record()
-                record.name = name
-                record.type = manifest.RECORD_TYPE_FILE
-                record.user = master['pki_user']
-                record.group = master['pki_group']
-                record.uid = uid
-                record.gid = gid
-                record.permissions = perms
-                record.acls = acls
-                manifest.database.append(record)
+            if not os.path.exists(name) or not os.path.isfile(name):
+                config.pki_log.error(
+                    log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, name,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            # applying in-place slot substitutions on <name>
+            config.pki_log.info(log.PKIHELPER_APPLY_SLOT_SUBSTITUTION_1,
+                                name,
+                                extra=config.PKI_INDENTATION_LEVEL_2)
+            for line in fileinput.FileInput(name, inplace=1):
+                for slot in slots:
+                    if slot != '__name__' and slots[slot] in line:
+                        config.pki_log.debug(
+                            log.PKIHELPER_SLOT_SUBSTITUTION_2,
+                            slots[slot], master[slot],
+                            extra=config.PKI_INDENTATION_LEVEL_3)
+                        line=line.replace(slots[slot],master[slot])
+                sys.stdout.write(line)
+            if uid == None:
+                uid = identity.get_uid()
+            if gid == None:
+                gid = identity.get_gid()
+            # chmod <perms> <name>
+            config.pki_log.debug(log.PKIHELPER_CHMOD_2,
+                                 perms, name,
+                                 extra=config.PKI_INDENTATION_LEVEL_3)
+            os.chmod(name, perms)
+            # chown <uid>:<gid> <name>
+            config.pki_log.debug(log.PKIHELPER_CHOWN_3,
+                                 uid, gid, name,
+                                 extra=config.PKI_INDENTATION_LEVEL_3)
+            os.chown(name, uid, gid)
+            # Store record in installation manifest
+            record = manifest.record()
+            record.name = name
+            record.type = manifest.RECORD_TYPE_FILE
+            record.user = master['pki_user']
+            record.group = master['pki_group']
+            record.uid = uid
+            record.gid = gid
+            record.permissions = perms
+            record.acls = acls
+            manifest.database.append(record)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1700,27 +1593,7 @@ class file:
                          acls=None, overwrite_flag=False,
                          critical_failure=True):
         try:
-            if config.pki_dry_run_flag:
-                # copy <old_name> to <new_name> with slot substitutions
-                config.pki_log.info(log.PKIHELPER_COPY_WITH_SLOT_SUBSTITUTION_2,
-                                    old_name, new_name,
-                                    extra=config.PKI_INDENTATION_LEVEL_2)
-                for line in fileinput.FileInput(old_name):
-                    for slot in slots:
-                        if slot != '__name__' and slots[slot] in line:
-                            config.pki_log.debug(
-                                log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                                slots[slot], master[slot],
-                                extra=config.PKI_INDENTATION_LEVEL_3)
-                # chmod <perms> <new_name>
-                config.pki_log.debug(log.PKIHELPER_CHMOD_2,
-                                     perms, new_name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                # chown <uid>:<gid> <new_name>
-                config.pki_log.debug(log.PKIHELPER_CHOWN_3,
-                                     uid, gid, new_name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
-            elif not os.path.exists(old_name) or not os.path.isfile(old_name):
+            if not os.path.exists(old_name) or not os.path.isfile(old_name):
                 config.pki_log.error(
                     log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, old_name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1793,18 +1666,16 @@ class file:
                 # filling it with <bytes> random bytes
                 config.pki_log.info(log.PKIHELPER_NOISE_FILE_2, name, bytes,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    open(name, "w").close()
-                    FILE = open(name, "w")
-                    noise = ''.join(random.choice(string.ascii_letters +\
-                            string.digits) for x in range(bytes))
-                    FILE.write(noise)
-                    FILE.close()
+                open(name, "w").close()
+                FILE = open(name, "w")
+                noise = ''.join(random.choice(string.ascii_letters +\
+                        string.digits) for x in range(bytes))
+                FILE.write(noise)
+                FILE.close()
                 # chmod <perms> <name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chmod(name, perms)
+                os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
                     uid = identity.get_uid()
@@ -1813,8 +1684,7 @@ class file:
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.chown(name, uid, gid)
+                os.chown(name, uid, gid)
                 # Store record in installation manifest
                 record = manifest.record()
                 record.name = name
